﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EVCB_OCPP.TaskScheduler.Models
{
    public enum Internal_ExecutionCode
    {

        Accepted = 1,
        Blocked,
        Expired,
        Invalid,
        ConcurrentTx,
        Scheduled,
        Inoperative,
        Operative,
        NotSupported,
        Unknown,
        RebootRequired,
        UnknownMessageId,
        UnknownVendorId,
        Idle,
        Uploaded,
        UploadFailed,
        Uploading,
        Downloaded,
        DownloadFailed,
        Downloading,
        Installing,
        InstallationFailed,
        Installed,
        Pending,
        Faulted,
        Occupied,
        Unavailable,
        Unlocked,
        UnlockFailed,
        VersionMismatch,
        Rejected,
        Failed,



    }
}
